/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#ifndef _FLAT_BUTTON_H_
#define _FLAT_BUTTON_H_

#include <qbutton.h>
#include <qlayout.h>
#include <qcolor.h>

class FlatButton : public QButton
{
  Q_OBJECT
 public:
	FlatButton(QWidget *parent);
	~FlatButton();
	
	QLayout *layout() {return hbox;}
	void addWidget(QWidget *widget);
	void addSpacing(int i);
	
 protected:
	QHBoxLayout *hbox;
	
	virtual void enterEvent (QEvent*);

	virtual void leaveEvent (QEvent*);
	
	QColor mColor;
 
 signals:
     
        void mouseEnter();
        void mouseLeave();
	
};

#endif

